%define	name	highlight
%define	version	3.2
%define	release	%mkrel	1

%global bdir %{name}-%{version}

Name:		%{name}
Summary:	Universal source code to formatted text converter
Version:	%{version}
Release:	%{release}
Group:		Development/Tools
License:	GPLv3
URL:		http://www.andre-simon.de/
Source0:	http://www.andre-simon.de/zip/%{name}-%{version}.tar.bz2
BuildRequires:	qt4-devel >= 4.4
BuildRequires:  lua-devel, boost-devel
BuildRequires:	desktop-file-utils
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
XSL-FO, XML or ANSI escape sequences with syntax highlighting.
It supports several programming and markup languages.
Language descriptions are configurable and support regular expressions.
The utility offers indentation and reformatting capabilities.
It is easily possible to create new language definitions and colour themes.

%package gui
Summary:	GUI for the hihghlight source code formatter
Requires:	%{name} = %{version}-%{release}

%description gui
A Qt-based GUI for the highlight source code formatter source.

%prep

%setup -q -n %{bdir}

# Provides: exclude perl(highlight_pipe) from example
%{__cat} <<__EOF__ > %{name}-perl.prov
#!/bin/sh
/usr/lib/rpm/perl.prov \$* | grep -v '^perl(highlight_pipe)$'
__EOF__
%define __perl_provides %{_builddir}/%{bdir}/%{name}-perl.prov
chmod +x %{__perl_provides}

# Requires: exclude all perl related req. from example
%{__cat} <<__EOF__ > %{name}-perl.req
#!/bin/sh
/usr/lib/rpm/perl.req \$* | grep -v '^perl('
__EOF__
%define __perl_requires %{_builddir}/%{bdir}/%{name}-perl.req
chmod +x %{__perl_requires}

%build
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=
%{__rm} -rf src/gui-qt/moc*
make gui CFLAGS="$RPM_OPT_FLAGS"  \
         QMAKE="qmake" \
         LDFLAGS=

%install
%{__rm} -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%{__mkdir} -p $RPM_BUILD_ROOT%{_datadir}/applications
%{__mkdir} -p $RPM_BUILD_ROOT%{_datadir}/pixmaps

make install-gui DESTDIR=$RPM_BUILD_ROOT

%{__rm} -rf $RPM_BUILD_ROOT%{_docdir}/%{name}/

desktop-file-install \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   highlight.desktop


# Packaging this example causes lots of incorrect perl provides and 
# requires. Since it isn't going to work out of the box, I'm nuking it.
%{__rm} -rf examples/plugins/movabletype

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/highlight
%{_datadir}/highlight/
%{_mandir}/man1/highlight.1*

%config(noreplace) %{_sysconfdir}/highlight/

%doc ChangeLog AUTHORS README* COPYING TODO examples/

%files gui
%defattr(-,root,root,-)
%{_bindir}/highlight-gui
%{_datadir}/applications/highlight.desktop
%{_datadir}/pixmaps/highlight.xpm

%changelog
* Sat Nov 13 2010 Jens Ornot <rpm@mandrivauser.de> 3.2-1mud2010.1
- new version 3.2

* Wed Aug 25 2010 Jens Ornot <rpm@mandrivauser.de> 3.1-1mud2010.1
- new version 3.1

* Sat Aug 14 2010 Jens Ornot <rpm@mandrivauser.de> 3.1-b3.1mud2010.1
- Initial build

